pub mod songmeta;
use crate::songmeta::songmeta::*;

pub mod playlist;
use crate::playlist::playlist::*;

pub mod audioplayer;
use crate::audioplayer::audioplayer::*;

use std::thread::sleep;
use std::time::Duration;

fn main() {
    let mysong = SongMeta::frompath(&String::from("/home/justine/NAS/Musique/A_classer/Bleach/12 Big Cheese.mp3")).unwrap();
    let mysong2 = SongMeta::frompath(&String::from("/home/justine/NAS/Musique/Folk/Galaverna - Dodsdans/Galaverna - Dodsdans - 01 Dods....flac")).unwrap();
    let mysong3 = SongMeta::frompath(&String::from("/home/justine/NAS/Musique/Jeux/Superliminal/Matt Christensen - Superliminal/12. Astral.mp3")).unwrap();

    let mut playlist = Playlist::new();
    playlist.songs.push(mysong);
    playlist.songs.push(mysong2);
    playlist.songs.push(mysong3);
    
    let mut player = AudioPlayer::new().unwrap();


    player.playlist = Playlist::new();
    dbg!(player.get_current_song());

}


